Subject: Re: [PATCH v2] Allow git mv FileA fILEa on case ignore file systems

From: Piotr Krukowiecki <[email-masked]>
Date: Sat, 19 Mar 2011 20:30:46 +0100

W dniu 19.03.2011 19:20, Erik Faye-Lund pisze:
> 2011/3/19 Torsten Bögershausen <[email-masked]>:
>> +       if (!(GetFileInformationByHandle(h,&hia)))
>> +               return 0;
>> +  CloseHandle(h);
> 
> Indentation-slip?

I suspect so. CloseHandle line does not use tabs.

Out of curiosity I've roughly counted number of lines that have
correct and incorrect indentation. 

About 8% (~12600 out of 151000 indented lines) are incorrectly indented.
Don't know if that good or bad :)

I have used following to get the numbers:

Bad indentation (includes "Correctly indented comments"):
git$ TAB="`echo -e '\t'`" && grep -E "^[ $TAB]* [ $TAB]*[^ $TAB]" *.sh *.[ch] */*.sh */*.[ch] | wc -l
22495

Correctly indented comments:
git$ TAB="`echo -e '\t'`" && grep -E "^[ $TAB]* [*]" *.sh *.[ch] */*.sh */*.[ch] | wc -l
9911

Good indentation (does not include "Correctly indented comments"):
git$ TAB="`echo -e '\t'`" && grep -E "^$TAB+[^ $TAB]" *.sh *.[ch] */*.sh */*.[ch] | wc -l
128173

-- 
Piotr Krukowiecki